package com.fjhx.service.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.order.OrderFollow;
import com.fjhx.entity.order.OrderInfo;
import com.fjhx.params.order.OrderFollowVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 * 售后跟进 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-12-16
 */
public interface OrderFollowService extends BaseService<OrderFollow> {

    Page<OrderFollow> getPage(Map<String, Object> condition);

    void add(OrderFollowVo orderFollowVo);

    void edit(OrderFollowVo orderFollowVo);

    void delete(OrderFollowVo orderFollowVo);

    void followUp(OrderFollow orderFollow);

}
